Package com.logicaldoc.core.filler

# Interface FillerDAO

All Superinterfaces:
  `PersistentObjectDAO<Filler>`

All Known Implementing Classes:
  `HibernateFillerDAO`

public interface FillerDAO extends PersistentObjectDAO<Filler>
This interface is a DAO-service for `Filler`s

Version:
  9.2.3
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Method Summary

Modifier and Type
Method
Description
`Filler`
`findByName(String name, long tenantId)`
Finds the filler by it's name
`<S extends Filler>
List<S>`
`findByType(Class<S> type, long tenantId)`
Finds the fillers by type
`static FillerDAO`
`get()`
Gets the object available in the application context

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, store`

## Method Details

### get

static FillerDAO get()
Gets the object available in the application context

Returns:
  the instance of this object in the application context

### findByName

Filler findByName(String name, long tenantId) throws PersistenceException
Finds the filler by it's name

Parameters:
  `name` - The name
  `tenantId` - Identifier of the tenant
Returns:
  The found filler
Throws:
  `PersistenceException` - Error in the database

### findByType

<S extends Filler> List<S> findByType(Class<S> type, long tenantId) throws PersistenceException
Finds the fillers by type

Type Parameters:
  `S` - what filler type to retrieve
Parameters:
  `type` - Type of filler
  `tenantId` - Identifier of the tenant
Returns:
  The list of fillers of same type ordered by name
Throws:
  `PersistenceException` - Error in the database